const actions = {
    notify({ commit }, payload) {
        openerp.web.notification.do_warn('Atención', payload)
    },
    initSale({ dispatch }) {
        let promises = [
            dispatch('fetchCompany'),
            dispatch('fetchCurrencies'),
            dispatch('fetchProducts'),
            dispatch('fetchCustomers')
        ]

        Promise.all(promises).then(() => {
            console.log('loaded')
        }).catch(error => {
            console.log(error)
        })
    },
    completeSale({ commit }) {
        console.log(payload)
    }
}

export default actions